Bug 16027 - terminal emulator/output window: Global copy & paste actions don't work
terminal emulator/output window: Global copy & paste actions don't work
Status: CLOSED FIXED
Product: cnd
Classification: Unclassified
Component: Terminalemulator
3.x
All All
: P3 (vote)
: 6.x
Assigned To: akemr
ivan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-29 02:36 UTC by Torbjorn Norbye
Modified: 2008-12-23 08:21 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Torbjorn Norbye 2001-09-29 02:36:00 UTC
The Copy & Paste actions don't work in the Output Window.
(Perhaps I should file a separate bug on that).

It also doesn't work in my own NetBeans windows which are
using the terminal emulator.

I was trying to implement these actions. I can implement
copy without Term support (by calling getSelectedText()
or something like that and placing it on the clipboard
myself), but I can't paste (move text from the clipboard
into the input buffer). Once you implement paste() I think
copy() belongs there by symmetry.

So, can you provide copy() and paste() methods in term?
I think all you need to do is:

* Rename "stuff_selection" to "paste" and make it public
* Add
 
     public void copy() {
        sel.done(true);
     }
Comment 1 akemr 2001-10-01 12:53:27 UTC
Ivan,
to solve this, I need to be notified when selection changes,
so I reassign this bug to you for that part.

OW already implements PropertyChangeListener, so could you e.g. fire 
some property change "selection_changed"..?
Comment 2 akemr 2001-10-08 13:25:30 UTC
Reassign to me, because Ivan finished his part.
Comment 3 akemr 2001-10-09 07:43:51 UTC
Copy action implemented in trunk.
Comment 4 Jan Chalupa 2001-11-27 11:52:25 UTC
Target milestone -> 3.3.1.
Comment 5 Jan Chalupa 2001-11-27 11:56:12 UTC
Target milestone -> 3.3.1.
Comment 6 akemr 2001-12-07 12:51:28 UTC
Fixed in release33
Paste action implemented (after fix in 
terminalemulator.LineDiscipline)
Comment 7 Marian Mirilovic 2002-05-06 14:00:14 UTC
verified in [nb_dev](20020506)
Comment 8 Quality Engineering 2003-07-01 16:38:22 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 9 Quality Engineering 2008-12-23 08:21:48 UTC
moving terminal emulator issues to terminalemulator component.
To see the correct version and target milestone of this issue look at Issue
Activity table.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo